Index: code/branches/presentation2/src/libraries/network/Client.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/Client.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/Client.cc	(revision 6387)
@@ -113,5 +113,5 @@
     return true;
   }
-  
+
   void Client::printRTT(){
     COUT(0) << "Round trip time to server is " << ClientConnection::getRTT() << " ms" << endl;
@@ -155,5 +155,5 @@
     }
     sendPackets(); // flush the enet queue
-    
+
     Connection::processQueue();
     if(gamestate.processGamestates())
@@ -167,5 +167,5 @@
     return;
   }
-  
+
   void Client::connectionClosed()
   {
Index: code/branches/presentation2/src/libraries/network/ClientConnection.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnection.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ClientConnection.cc	(revision 6387)
@@ -69,5 +69,5 @@
   {
     ENetEvent event;
-    
+
     this->host_ = enet_host_create(NULL, NETWORK_CLIENT_MAX_CONNECTIONS, 0, 0);
     if ( this->host_ == NULL )
@@ -99,5 +99,5 @@
   bool ClientConnection::closeConnection() {
     ENetEvent event;
-    
+
     if ( !this->established_ )
       return true;
@@ -146,5 +146,5 @@
     this->connectionClosed();
   }
-  
+
   uint32_t ClientConnection::getRTT()
   { 
Index: code/branches/presentation2/src/libraries/network/ClientConnection.h
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnection.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ClientConnection.h	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 #ifndef _ClientConnection_H__
 #define _ClientConnection_H__
@@ -40,8 +40,8 @@
     ClientConnection();
     virtual ~ClientConnection();
-    
+
     void setServerAddress( const std::string& serverAddress );
     void setPort( unsigned int port );
-    
+
     ENetEvent *getEvent();
     // check wheter the packet queue is empty
@@ -59,5 +59,5 @@
     virtual void addPeer(ENetEvent* event);
     virtual void removePeer(ENetEvent* event);
-    
+
     bool disconnectConnection();
     // enet stuff
Index: code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ClientConnectionListener.cc	(revision 6387)
@@ -45,5 +45,5 @@
             it->clientConnected(clientID);
     }
-    
+
     void ClientConnectionListener::broadcastClientDisconnected(unsigned int clientID)
     {
Index: code/branches/presentation2/src/libraries/network/ClientConnectionListener.h
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientConnectionListener.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ClientConnectionListener.h	(revision 6387)
@@ -40,5 +40,5 @@
             ClientConnectionListener();
             virtual ~ClientConnectionListener() {}
-            
+
             static void broadcastClientConnected(unsigned int clientID);
             static void broadcastClientDisconnected(unsigned int clientID);
Index: code/branches/presentation2/src/libraries/network/ClientInformation.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ClientInformation.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ClientInformation.cc	(revision 6387)
@@ -46,5 +46,5 @@
 namespace orxonox
 {
-  
+
 
   ClientInformation *ClientInformation::head_=0;
Index: code/branches/presentation2/src/libraries/network/Connection.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/Connection.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/Connection.cc	(revision 6387)
@@ -75,5 +75,5 @@
   void Connection::processQueue() {
     ENetEvent event;
-    
+
     assert(this->host_);
 
Index: code/branches/presentation2/src/libraries/network/Connection.h
===================================================================
--- code/branches/presentation2/src/libraries/network/Connection.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/Connection.h	(revision 6387)
@@ -54,5 +54,5 @@
   public:
     virtual ~Connection();
-    
+
     static bool addPacket(ENetPacket *packet, ENetPeer *peer);
     bool sendPackets();
@@ -62,13 +62,13 @@
     Connection();
     static Connection* getInstance(){ return Connection::instance_; }
-    
+
     int service(ENetEvent* event);
     virtual void disconnectPeer(ENetPeer *peer);
-    
+
     void processQueue();
     virtual void addPeer(ENetEvent* event)=0;
     virtual void removePeer(ENetEvent* event)=0;
     virtual bool processPacket(ENetEvent* event);
-    
+
     ENetHost *host_;
   private:
Index: code/branches/presentation2/src/libraries/network/FunctionCallManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/FunctionCallManager.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/FunctionCallManager.cc	(revision 6387)
@@ -31,5 +31,5 @@
 
 namespace orxonox {
-    
+
 std::map<uint32_t, packet::FunctionCalls*> FunctionCallManager::clientMap_;
 
Index: code/branches/presentation2/src/libraries/network/FunctionCallManager.h
===================================================================
--- code/branches/presentation2/src/libraries/network/FunctionCallManager.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/FunctionCallManager.h	(revision 6387)
@@ -49,5 +49,5 @@
   static void addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4);
   static void addCallStatic(uint32_t functionID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5);
-  
+
   static void addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID);
   static void addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1);
@@ -56,7 +56,7 @@
   static void addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4);
   static void addCallMember(uint32_t functionID, uint32_t objectID, uint32_t clientID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5);
-  
+
   static void sendCalls();
-  
+
   static std::map<uint32_t, packet::FunctionCalls*> clientMap_;
 protected:
Index: code/branches/presentation2/src/libraries/network/GamestateClient.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/GamestateClient.cc	(revision 6387)
@@ -81,8 +81,8 @@
     packet::Gamestate *processed = processGamestate(tempGamestate_);
     assert(processed);
-    
+
     //now call the queued callbacks
     NetworkCallbackManager::callCallbacks();
-    
+
     if (!processed){
       sendAck(0);
Index: code/branches/presentation2/src/libraries/network/GamestateHandler.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateHandler.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/GamestateHandler.cc	(revision 6387)
@@ -33,5 +33,5 @@
 
 GamestateHandler *GamestateHandler::instance_=0;
-  
+
 GamestateHandler::GamestateHandler()
 {
Index: code/branches/presentation2/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/GamestateManager.cc	(revision 6387)
@@ -126,5 +126,5 @@
     return true;
   }
-  
+
   void GamestateManager::sendGamestates()
   {
@@ -142,9 +142,9 @@
       COUT(5) << "Server: doing gamestate gamestate preparation" << std::endl;
       int cid = temp->getID(); //get client id
-      
+
       unsigned int gID = temp->getGamestateID();
       if(!reference)
         return;
-      
+
       packet::Gamestate *client=0;
       if(gID != GAMESTATEID_INITIAL){
@@ -156,5 +156,5 @@
         }
       }
-      
+
       clientGamestates.push(0);
       finishGamestate( cid, &clientGamestates.back(), client, reference );
@@ -165,10 +165,10 @@
 //       this->threadPool_->passFunction( executor, true );
 //       (*functor)( cid, &(clientGamestates.back()), client, reference );
-      
+
       temp = temp->next();
     }
-    
+
 //     threadPool_->synchronise();
-    
+
     while( !clientGamestates.empty() )
     {
@@ -185,5 +185,5 @@
     // save the (undiffed) gamestate in the clients gamestate map
     //chose wheather the next gamestate is the first or not
-    
+
     packet::Gamestate *gs = gamestate->doSelection(clientID, 20000);
 //     packet::Gamestate *gs = new packet::Gamestate(*gamestate);
@@ -193,8 +193,8 @@
     gamestateMap_[clientID][gamestate->getID()]=gs;
 //     this->threadMutex_->unlock();
-    
+
     if(base)
     {
-        
+
 //       COUT(3) << "diffing" << std::endl;
 //       packet::Gamestate* gs1  = gs;
@@ -210,6 +210,6 @@
       gs = new packet::Gamestate(*gs);
     }
-    
-    
+
+
     bool b = gs->compressData();
     assert(b);
Index: code/branches/presentation2/src/libraries/network/NetworkFunction.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/NetworkFunction.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/NetworkFunction.cc	(revision 6387)
@@ -33,5 +33,5 @@
 {
   std::map<uint32_t, bool> NetworkFunctionBase::isStaticMap_;
-      
+
   std::map<NetworkFunctionPointer, NetworkMemberFunctionBase*> NetworkMemberFunctionBase::functorMap_;
   std::map<uint32_t, NetworkMemberFunctionBase*> NetworkMemberFunctionBase::idMap_;
@@ -40,8 +40,8 @@
   {
     RegisterRootObject(NetworkFunctionBase);
-    
+
     static uint32_t networkID = 0;
     this->networkID_ = networkID++;
-    
+
     this->name_ = name;
     NetworkFunctionBase::getNameMap()[name] = this;
@@ -50,6 +50,6 @@
   {
   }
-  
-  
+
+
   void NetworkFunctionBase::destroyAllNetworkFunctions()
   {
@@ -59,6 +59,6 @@
       it->second->destroy();
   }
-  
-  
+
+
   /*static*/ std::map<std::string, NetworkFunctionBase*>& NetworkFunctionBase::getNameMap()
   {
@@ -66,21 +66,21 @@
     return nameMap_;
   }
-  
-  
+
+
   NetworkFunctionStatic::NetworkFunctionStatic(FunctorStatic* functor, const std::string& name, const NetworkFunctionPointer& p):
     NetworkFunctionBase(name)
   {
     RegisterObject(NetworkFunctionStatic);
-    
+
     this->functor_ = functor;
     NetworkFunctionStatic::getFunctorMap()[p] = this;
     NetworkFunctionStatic::getIdMap()[ this->getNetworkID() ] = this;
   }
-  
+
   NetworkFunctionStatic::~NetworkFunctionStatic()
   {
     delete this->functor_;
   }
-  
+
   /*static*/ std::map<NetworkFunctionPointer, NetworkFunctionStatic*>& NetworkFunctionStatic::getFunctorMap()
   {
@@ -88,5 +88,5 @@
     return functorMap_;
   }
-  
+
   /*static*/ std::map<uint32_t, NetworkFunctionStatic*>& NetworkFunctionStatic::getIdMap()
   {
@@ -94,19 +94,19 @@
     return idMap_;
   }
-  
-  
+
+
   NetworkMemberFunctionBase::NetworkMemberFunctionBase(const std::string& name, const NetworkFunctionPointer& p):
     NetworkFunctionBase(name)
   {
     RegisterObject(NetworkMemberFunctionBase);
-    
+
     this->functorMap_[p] = this;
     this->idMap_[ this->getNetworkID() ] = this;
   }
-  
+
   NetworkMemberFunctionBase::~NetworkMemberFunctionBase()
   {
   }
-  
+
 
 }
Index: code/branches/presentation2/src/libraries/network/NetworkFunction.h
===================================================================
--- code/branches/presentation2/src/libraries/network/NetworkFunction.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/NetworkFunction.h	(revision 6387)
@@ -74,10 +74,10 @@
     NetworkFunctionBase(const std::string& name);
     ~NetworkFunctionBase();
-    
+
     virtual void        setNetworkID(uint32_t id)       { this->networkID_ = id; }
     inline uint32_t     getNetworkID() const            { return this->networkID_; }
     inline const std::string& getName() const           { return name_; }
     static inline bool  isStatic( uint32_t networkID )  { return isStaticMap_[networkID]; }
-    
+
     static inline void setNetworkID(const std::string& name, uint32_t id)
     {
@@ -86,15 +86,15 @@
         map[name]->setNetworkID(id);
     }
-    
+
     static void destroyAllNetworkFunctions();
-    
+
   protected:
     static std::map<uint32_t, bool> isStaticMap_;
-    
+
   private:
     static std::map<std::string, NetworkFunctionBase*>& getNameMap();
     uint32_t networkID_;
     std::string name_;
-      
+
 };
 
@@ -104,5 +104,5 @@
     NetworkFunctionStatic(FunctorStatic* functor, const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkFunctionStatic();
-    
+
     inline void call(){ (*this->functor_)(); }
     inline void call(const MultiType& mt1){ (*this->functor_)(mt1); }
@@ -111,5 +111,5 @@
     inline void call(const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4){ (*this->functor_)(mt1, mt2, mt3, mt4); }
     inline void call(const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5){ (*this->functor_)(mt1, mt2, mt3, mt4, mt5); }
-    
+
     virtual void setNetworkID( uint32_t id )
         { NetworkFunctionBase::setNetworkID( id ); NetworkFunctionStatic::getIdMap()[id] = this; }
@@ -120,10 +120,10 @@
     static NetworkFunctionStatic* getFunction( const NetworkFunctionPointer& p )
         { assert( NetworkFunctionStatic::getFunctorMap().find(p) != NetworkFunctionStatic::getFunctorMap().end() ); return NetworkFunctionStatic::getFunctorMap()[p]; }
-        
+
   private:
     static std::map<NetworkFunctionPointer, NetworkFunctionStatic*>& getFunctorMap();
     static std::map<uint32_t, NetworkFunctionStatic*>& getIdMap();
     FunctorStatic* functor_;
-    
+
 };
 
@@ -133,10 +133,10 @@
     NetworkMemberFunctionBase(const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkMemberFunctionBase();
-    
+
     virtual void setNetworkID( uint32_t id ){ NetworkFunctionBase::setNetworkID( id ); idMap_[id] = this; }
     static inline NetworkMemberFunctionBase* getNetworkFunction( uint32_t id){ assert( idMap_.find(id)!=idMap_.end() ); return idMap_[id]; }
     static NetworkMemberFunctionBase* getFunction( uint32_t id ){ assert( idMap_.find(id) != idMap_.end() ); return idMap_[id]; }
     static NetworkMemberFunctionBase* getFunction( const NetworkFunctionPointer& p ){ assert( functorMap_.find(p) != functorMap_.end() ); return functorMap_[p]; }
-    
+
     // 
     virtual void call(uint32_t objectID)=0;
@@ -146,5 +146,5 @@
     virtual void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)=0;
     virtual void call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)=0;
-    
+
   private:
     static std::map<NetworkFunctionPointer, NetworkMemberFunctionBase*> functorMap_;
@@ -157,5 +157,5 @@
     NetworkMemberFunction(FunctorMember<T>* functor, const std::string& name, const NetworkFunctionPointer& p);
     ~NetworkMemberFunction();
-    
+
     inline void call(uint32_t objectID)
     { 
@@ -188,5 +188,5 @@
         (*this->functor_)(orxonox_cast<T*>(Synchronisable::getSynchronisable(objectID)), mt1, mt2, mt3, mt4, mt5);
     }
-    
+
   private:
     FunctorMember<T>* functor_;
Index: code/branches/presentation2/src/libraries/network/Server.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/Server.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/Server.cc	(revision 6387)
@@ -137,13 +137,13 @@
     // receive incoming packets
     Connection::processQueue();
-    
+
     if ( ClientInformation::hasClients() )
     {
       // process incoming gamestates
       GamestateManager::processGamestates();
-      
+
       // send function calls to clients
       FunctionCallManager::sendCalls();
-      
+
       //this steers our network frequency
       timeSinceLastUpdate_+=time.getDeltaTime();
@@ -160,5 +160,5 @@
     return ServerConnection::addPacket(packet, clientID);
   }
-  
+
   /**
    * @brief: returns ping time to client in milliseconds 
@@ -168,5 +168,5 @@
     return ClientInformation::findClient(clientID)->getRTT();
   }
-  
+
   void Server::printRTT()
   {
@@ -317,8 +317,8 @@
     }
     COUT(5) << "Con.Man: creating client id: " << temp->getID() << std::endl;
-    
+
     // synchronise class ids
     syncClassid(temp->getID());
-    
+
     // now synchronise functionIDs
     packet::FunctionIDs *fIDs = new packet::FunctionIDs();
@@ -326,5 +326,5 @@
     bool b = fIDs->send();
     assert(b);
-    
+
     temp->setSynched(true);
     COUT(4) << "sending welcome" << std::endl;
@@ -344,5 +344,5 @@
     return true;
   }
-  
+
   void Server::disconnectClient( ClientInformation *client ){
     ServerConnection::disconnectClient( client );
Index: code/branches/presentation2/src/libraries/network/Server.h
===================================================================
--- code/branches/presentation2/src/libraries/network/Server.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/Server.h	(revision 6387)
@@ -66,8 +66,8 @@
     unsigned int shipID(){return 0;}
     unsigned int playerID(){return 0;}
-    
+
     void addPeer(ENetEvent *event);
     void removePeer(ENetEvent *event);
-    
+
     bool createClient(int clientID);
     void disconnectClient( ClientInformation *client);
Index: code/branches/presentation2/src/libraries/network/ServerConnection.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/ServerConnection.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ServerConnection.cc	(revision 6387)
@@ -99,10 +99,10 @@
     return true;
   }
-  
+
   void ServerConnection::disconnectClient(ClientInformation *client)
   {
     Connection::disconnectPeer( client->getPeer() );
   }
-  
+
   void ServerConnection::disconnectClient(int clientID){
     ClientInformation *client = ClientInformation::findClient(clientID);
Index: code/branches/presentation2/src/libraries/network/ServerConnection.h
===================================================================
--- code/branches/presentation2/src/libraries/network/ServerConnection.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/ServerConnection.h	(revision 6387)
@@ -50,8 +50,8 @@
   public:
     ~ServerConnection();
-    
+
     void setBindAddress( const std::string& bindAddress );
     void setPort( unsigned int port );
-    
+
     bool openListener();
     bool closeListener();
Index: code/branches/presentation2/src/libraries/network/TrafficControl.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/TrafficControl.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/TrafficControl.cc	(revision 6387)
@@ -145,5 +145,5 @@
     assert(clientListPerm_.find(clientID) != clientListPerm_.end() );
     assert( clientListTemp_[clientID].find(gamestateID) != clientListTemp_[clientID].end() );
-    
+
     // shortcut for maps
     std::map<unsigned int, objInfo >& objectListPerm = clientListPerm_[clientID];
@@ -236,7 +236,7 @@
       //if listToProcess contains new Objects, add them to clientListPerm
       std::list<obj>::iterator itvec;
-    
+
       std::map<unsigned int, objInfo >& objectListPerm = clientListPerm_[clientID];
-    
+
       for( itvec=list.begin(); itvec != list.end(); itvec++)
       {
@@ -256,10 +256,10 @@
       }
     //end compare listToProcess vs clientListPerm
-      
+
       //sort copied list according to priorities
       // use boost bind here because we need to pass a memberfunction to stl sort
 //       sort( list.begin(), list.end(), boost::bind(&TrafficControl::prioritySort, this, clientID, _1, _2) );
       list.sort( boost::bind(&TrafficControl::prioritySort, this, clientID, _1, _2) );
-      
+
 //       list.sort(boost::bind(&TrafficControl::prioritySort, this, clientID, _1, _2) );
 
@@ -277,5 +277,5 @@
 //       sort(list.begin(), list.end(), boost::bind(&TrafficControl::dataSort, this, _1, _2) );
       list.sort( boost::bind(&TrafficControl::dataSort, this, _1, _2) );
-      
+
       //diese Funktion updateClientList muss noch gemacht werden
       updateClientListTemp(list);
Index: code/branches/presentation2/src/libraries/network/TrafficControl.h
===================================================================
--- code/branches/presentation2/src/libraries/network/TrafficControl.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/TrafficControl.h	(revision 6387)
@@ -69,5 +69,5 @@
       obj( uint32_t ID, uint32_t creatorID, uint32_t size, uint32_t offset );
   };
-  
+
 
 
@@ -97,7 +97,7 @@
     unsigned int targetSize;
     bool         bActive_;
-    
+
     void insertinClientListPerm(unsigned int clientID, obj objinf);
-    
+
     void cut(std::list<obj>& list, unsigned int targetsize);
     void updateClientListTemp(std::list<obj>& list);//done
@@ -107,10 +107,10 @@
     void evaluateList(unsigned int clientID, std::list<obj>& list);//done    
     void ack(unsigned int clientID, unsigned int gamestateID);  // this function gets called when the server receives an ack from the client
-    
+
     //ClientConnectionListener functions
     virtual void clientConnected(unsigned int clientID){};
     virtual void clientDisconnected(unsigned int clientID);
 
- 
+
   protected:
     static TrafficControl *instance_;
@@ -131,5 +131,5 @@
     { return instance_->ack(clientID, gamestateID); }
     void deleteObject(unsigned int objectID);               // this function gets called when an object has been deleted (in order to clean up lists and maps)
-    
+
     bool prioritySort(uint32_t clientID, obj i, obj j);
     bool dataSort(obj i, obj j);
Index: code/branches/presentation2/src/libraries/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Acknowledgement.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/Acknowledgement.cc	(revision 6387)
@@ -38,5 +38,5 @@
 #define _PACKETID           0
 #define _ACKID              _PACKETID + sizeof(packet::Type::Value)
-  
+
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int clientID )
  : Packet()
Index: code/branches/presentation2/src/libraries/network/packet/Chat.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Chat.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/Chat.cc	(revision 6387)
@@ -35,5 +35,5 @@
 namespace orxonox {
 namespace packet {
-  
+
 #define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 #define   _PACKETID         0
Index: code/branches/presentation2/src/libraries/network/packet/ClassID.h
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/ClassID.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/ClassID.h	(revision 6387)
@@ -36,5 +36,5 @@
 namespace packet {
 
-  
+
 /**
     @author
Index: code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/DeleteObjects.cc	(revision 6387)
@@ -41,5 +41,5 @@
 #define _QUANTITY           _PACKETID + sizeof(Type::Value)
 #define _OBJECTIDS          _QUANTITY + sizeof(uint32_t)
-  
+
 DeleteObjects::DeleteObjects()
  : Packet()
Index: code/branches/presentation2/src/libraries/network/packet/FunctionCalls.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/FunctionCalls.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/FunctionCalls.cc	(revision 6387)
@@ -36,9 +36,9 @@
 namespace orxonox {
 namespace packet {
-  
+
 #define   PACKET_FLAGS_FUNCTIONCALLS PacketFlag::Reliable
 #define   _PACKETID         0
 const unsigned int FUNCTIONCALLS_MEM_ALLOCATION = 1000;
-    
+
 FunctionCalls::FunctionCalls()
  : Packet()
@@ -171,5 +171,5 @@
 void FunctionCalls::addCallStatic( uint32_t networkID, const MultiType* mt1, const MultiType* mt2, const MultiType* mt3, const MultiType* mt4, const MultiType* mt5){
   assert(!isDataENetAllocated());
-  
+
   // first determine the size that has to be reserved for this call
   uint32_t callsize = 2*sizeof(uint32_t)+sizeof(uint8_t); //size for network-function-id and nrOfArguments and for bool isStatic
@@ -200,5 +200,5 @@
     }
   }
-  
+
   // now allocated mem if neccessary
   if( currentSize_ + callsize > currentMemBlocks_*FUNCTIONCALLS_MEM_ALLOCATION )
@@ -210,5 +210,5 @@
     data_ = temp;
   }
-  
+
   // now serialise the mt values and copy the function id and isStatic
   uint8_t* temp = data_+currentSize_;
@@ -240,10 +240,10 @@
   //currentSize_ += callsize;
   currentSize_ = temp-data_;
-  
+
 }
 
 void FunctionCalls::addCallMember( uint32_t networkID, uint32_t objectID, const MultiType* mt1, const MultiType* mt2, const MultiType* mt3, const MultiType* mt4, const MultiType* mt5){
   assert(!isDataENetAllocated());
-  
+
   // first determine the size that has to be reserved for this call
   uint32_t callsize = 3*sizeof(uint32_t)+sizeof(uint8_t); //size for network-function-id and nrOfArguments and the objectID
@@ -274,5 +274,5 @@
     }
   }
-  
+
   // now allocated mem if neccessary
   if( currentSize_ + callsize > currentMemBlocks_*FUNCTIONCALLS_MEM_ALLOCATION )
@@ -284,5 +284,5 @@
     data_ = temp;
   }
-  
+
   // now serialise the mt values and copy the function id
   uint8_t* temp = data_+currentSize_;
@@ -314,5 +314,5 @@
   }
   currentSize_ += callsize;
-  
+
 }
 
Index: code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/FunctionIDs.cc	(revision 6387)
@@ -53,5 +53,5 @@
   flags_ = flags_ | PACKET_FLAGS_FUNCTIONIDS;
   std::queue<std::pair<uint32_t, std::string> > tempQueue;
-  
+
   //calculate total needed size (for all strings and integers)
   ObjectList<NetworkFunctionBase>::iterator it;
@@ -64,15 +64,15 @@
     packetSize += (functionname.size()+1)+sizeof(uint32_t)+sizeof(uint32_t); // reserver size for the functionname string, the functionname length and the networkID
   }
-  
+
   this->data_=new uint8_t[ packetSize ];
   //set the appropriate packet id
   assert(this->data_);
   *(Type::Value *)(this->data_ + _PACKETID ) = Type::FunctionIDs;
-  
+
   uint8_t *temp=data_+sizeof(uint32_t);
   // save the number of all classes
   *(uint32_t*)temp = nrOfFunctions;
   temp += sizeof(uint32_t);
-  
+
   // now save all classids and classnames
   std::pair<uint32_t, std::string> tempPair;
@@ -85,7 +85,7 @@
     temp+=2*sizeof(uint32_t)+tempPair.second.size()+1;
   }
-  
+
   COUT(5) << "FunctionIDs packetSize is " << packetSize << endl;
-  
+
 }
 
@@ -106,5 +106,5 @@
   temp += sizeof(uint32_t);
   totalsize += sizeof(uint32_t); // storage size for nr of all classes
-  
+
   for(unsigned int i=0; i<nrOfFunctions; i++){
     totalsize += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t)); // for each network function add size for id, sizeof(string) and length of string itself to totalsize
@@ -121,5 +121,5 @@
   uint32_t stringsize;
   unsigned char *functionname;
-  
+
   COUT(4) << "=== processing functionids: " << endl;
   std::pair<uint32_t, std::string> tempPair;
@@ -127,5 +127,5 @@
   nrOfFunctions = *(uint32_t*)temp;
   temp += sizeof(uint32_t);
-  
+
   for( int i=0; i<nrOfFunctions; i++){
     networkID = *(uint32_t*)temp;
Index: code/branches/presentation2/src/libraries/network/packet/FunctionIDs.h
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/FunctionIDs.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/FunctionIDs.h	(revision 6387)
@@ -36,5 +36,5 @@
 namespace packet {
 
-  
+
 /**
     @author
Index: code/branches/presentation2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/Gamestate.cc	(revision 6387)
@@ -95,5 +95,5 @@
     return false;
   }
-  
+
   // create the header object
   assert( header_ == 0 );
@@ -105,5 +105,5 @@
   ObjectList<Synchronisable>::iterator it;
   for(it = ObjectList<Synchronisable>::begin(); it; ++it){
-    
+
 //     tempsize=it->getSize(id, mode);
 
@@ -111,5 +111,5 @@
     if ( tempsize != 0 )
       dataVector_.push_back( obj(it->getObjectID(), it->getCreatorID(), tempsize, mem-data_) );
-    
+
 #ifndef NDEBUG
     if(currentsize+tempsize > size){
@@ -362,15 +362,15 @@
   assert(!header_->isCompressed() && !base->header_->isCompressed());
   assert(!header_->isDiffed());
-  
+
   uint8_t *basep = GAMESTATE_START(base->data_);
   uint8_t *gs = GAMESTATE_START(this->data_);
   uint32_t dest_length = header_->getDataSize();
-  
+
   if(dest_length==0)
     return NULL;
-  
+
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
   uint8_t *dest = GAMESTATE_START(ndata);
-  
+
   rawDiff( dest, gs, basep, header_->getDataSize(), base->header_->getDataSize() );
 #ifndef NDEBUG
@@ -398,17 +398,17 @@
   assert(!header_->isCompressed() && !base->header_->isCompressed());
   assert(header_->isDiffed());
-  
+
   uint8_t *basep = GAMESTATE_START(base->data_);
   uint8_t *gs = GAMESTATE_START(this->data_);
   uint32_t dest_length = header_->getDataSize();
-  
+
   if(dest_length==0)
     return NULL;
-  
+
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
   uint8_t *dest = ndata + GamestateHeader::getSize();
-  
+
   rawDiff( dest, gs, basep, header_->getDataSize(), base->header_->getDataSize() );
-  
+
   Gamestate *g = new Gamestate(ndata, getClientID());
   assert(g->header_);
@@ -481,5 +481,5 @@
   uint64_t* bd = (uint64_t*)basedata;
   uint64_t* nd = (uint64_t*)newdata;
-  
+
   unsigned int i;
   for( i=0; i<datalength/8; i++ )
Index: code/branches/presentation2/src/libraries/network/packet/Packet.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/packet/Packet.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/packet/Packet.cc	(revision 6387)
@@ -101,5 +101,5 @@
 @brief
     Destroys a packet completely.
-    
+
     That also means destroying the ENetPacket if one exists. There 
 */
Index: code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallback.h
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallback.h	(revision 6387)
@@ -36,7 +36,7 @@
 
 namespace orxonox{
-  
+
   struct EmptyType{};
-  
+
   class _NetworkExport NetworkCallbackBase
   {
@@ -60,5 +60,5 @@
       void (T::*function_) (void);
   };
-  
+
   template <class T, class U>
   class NetworkCallbackNotify: public NetworkCallbackBase
Index: code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.cc	(revision 6387)
@@ -26,13 +26,13 @@
  *
  */
- 
+
 #include "NetworkCallbackManager.h"
 #include "NetworkCallback.h"
 
 namespace orxonox{
-  
+
   std::set<NetworkCallbackBase*> NetworkCallbackManager::callbackSet_;
   std::queue<NetworkCallbackBase*> NetworkCallbackManager::triggeredCallbacks_;
-  
+
   void NetworkCallbackManager::registerCallback(NetworkCallbackBase *cb)
   { 
@@ -48,5 +48,5 @@
     }
   }
-  
+
   void NetworkCallbackManager::triggerCallback(NetworkCallbackBase *cb)
   {
Index: code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.h
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/NetworkCallbackManager.h	(revision 6387)
@@ -37,5 +37,5 @@
 
 namespace orxonox{
-  
+
   class _NetworkExport NetworkCallbackManager{
     public:
@@ -48,5 +48,5 @@
       static std::queue<NetworkCallbackBase*> triggeredCallbacks_;
   };
-  
+
 
 }
Index: code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.cc	(revision 6387)
@@ -62,5 +62,5 @@
     }
     classID_ = static_cast<uint32_t>(-1);
-    
+
     // set dataSize to 0
     this->dataSize_ = 0;
@@ -277,5 +277,5 @@
       //tempsize += (*i)->getSize( mode );
     }
-    
+
     tempsize += SynchronisableHeader::getSize();
     header.setObjectID( this->objectID_ );
@@ -284,5 +284,5 @@
     header.setDataAvailable( true );
     header.setDataSize( tempsize );
-    
+
 #ifndef NDEBUG
     uint32_t size;
Index: code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/Synchronisable.h	(revision 6387)
@@ -132,5 +132,5 @@
     inline unsigned int getPriority() const { return this->objectFrequency_;}
     inline uint8_t getSyncMode() const { return this->objectMode_; }
-    
+
     void setSyncMode(uint8_t mode);
 
@@ -138,5 +138,5 @@
     Synchronisable(BaseObject* creator);
     template <class T> void registerVariable(T& variable, uint8_t mode=0x1, NetworkCallbackBase *cb=0, bool bidirectional=false);
-    
+
     void setPriority(unsigned int freq){ objectFrequency_ = freq; }
 
@@ -148,5 +148,5 @@
     bool isMyData(uint8_t* mem);
     bool doSync(int32_t id, uint8_t mode=0x0);
-    
+
     inline void setObjectID(uint32_t id){ this->objectID_ = id; objectMap_[this->objectID_] = this; }
     inline void setClassID(uint32_t id){ this->classID_ = id; }
@@ -181,8 +181,8 @@
     }
   }
-  
+
   template <> _NetworkExport void Synchronisable::registerVariable( std::string& variable, uint8_t mode, NetworkCallbackBase *cb, bool bidirectional);
 
-  
+
 }
 
Index: code/branches/presentation2/src/libraries/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/branches/presentation2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 6363)
+++ code/branches/presentation2/src/libraries/network/synchronisable/SynchronisableVariable.h	(revision 6387)
@@ -41,5 +41,5 @@
 
 namespace orxonox{
-  
+
   namespace VariableDirection{
     enum Value{
@@ -54,5 +54,5 @@
     };
   }
-  
+
   class _NetworkExport SynchronisableVariableBase
   {
@@ -85,5 +85,5 @@
       NetworkCallbackBase      *callback_;
   };
-  
+
   template <class T>
   class SynchronisableVariableBidirectional: public SynchronisableVariable<T>
@@ -92,5 +92,5 @@
       SynchronisableVariableBidirectional(T& variable, uint8_t master=Bidirectionality::ServerMaster, NetworkCallbackBase *cb=0);
       virtual ~SynchronisableVariableBidirectional();
-      
+
       virtual inline uint8_t getMode(){ return 0x3; } //this basically is a hack ^^
       virtual inline uint32_t getData(uint8_t*& mem, uint8_t mode);
@@ -112,5 +112,5 @@
     }
   }
-  
+
   template <class T> SynchronisableVariable<T>::~SynchronisableVariable()
   {
@@ -253,5 +253,5 @@
       return returnSize( this->variable_ ) + sizeof(varReference_);
     }
-  
+
 
 }
